## at-spi2-core 2.54.0

=== debian/changelog ===
at-spi2-core (2.54.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm.
    - Revert t64 change.
    - Revert libgirepository1.0-dev build-dep change.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Nov 2024 01:33:13 +0100

at-spi2-core (2.54.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * Remove 2 patches applied in new release

  [ Samuel Thibault ]
  * control: Tighten version dependencies between at-spi2-core packages.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 07:34:32 -0400

at-spi2-core (2.53.1-2) unstable; urgency=medium

  * patches/git-push-button-enum.patch: Cherry-pick fix for push button enum
    break (Closes: #1078244).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 22 Aug 2024 23:58:39 +0200

=== debian/control ===
Source: at-spi2-core
Section: misc
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13),
               dbus, libdbus-1-dev,
               dbus-broker [linux-any], libsystemd-dev [linux-any],
               libglib2.0-dev (>= 2.62),
               libxml2-dev,
               libx11-dev, libxtst-dev,
               meson (>= 0.63.0),
               pkgconf,
               libgirepository1.0-dev,
               gtk-doc-tools, gi-docgen, python3-sphinx,
               gobject-introspection | dh-sequence-gir,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               at-spi2-core <!nocheck>,
Build-Depends-Indep: docbook-xml <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libglib2.0-dev-bin <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/a11y-team/at-spi2-core
Vcs-Git: https://salsa.debian.org/a11y-team/at-spi2-core.git
Homepage: https://wiki.gnome.org/Accessibility

Package: at-spi2-core
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, at-spi2-common, gsettings-desktop-schemas,
 libatspi2.0-0 (= ${binary:Version})
Description: Assistive Technology Service Provider Interface (D-Bus core)
 This package contains the core components of GNOME Accessibility.

Package: at-spi2-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: at-spi2-core (<< 2.46.0-2~)
Replaces: at-spi2-core (<< 2.46.0-2~)
Description: Assistive Technology Service Provider Interface (common files)
 This package contains the common resource files of GNOME Accessibility.

Package: at-spi2-core-udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Package-Type: udeb
Description: Assistive Technology Service Provider Interface (D-Bus core for d-i)
 This package contains the core components of GNOME Accessibility for the Debian
 installer.

Package: libatspi2.0-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: at-spi2-core (= ${binary:Version})
Description: Assistive Technology Service Provider Interface - shared library
 This package contains the shared library for applications that wish to use
 the at-spi interface.

Package: libatspi0-udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Package-Type: udeb
Description: Assistive Technology Service Provider Interface - module for d-i
 This package contains the AT-SPI shared library, for the Debian installer.

Package: libatspi2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         gir1.2-atspi-2.0 (= ${binary:Version}),
         libatspi2.0-0 (= ${binary:Version}),
         libglib2.0-dev,
         libdbus-1-dev,
         libxtst-dev,
Replaces: gir-repository-dev
Provides: ${gir:Provides}
Description: Development files for the assistive technology service provider
 These are the development files for at-spi2, needed for compilation of
 programs which use it.

Package: gir1.2-atspi-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends},
         libatspi2.0-0 (= ${binary:Version})
Replaces: gir1.0-gtk-2.0 (<< 2.22),
          gobject-introspection-repository
Description: Assistive Technology Service Provider (GObject introspection)
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings

Package: at-spi2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: Assistive Technology Service Provider Interface (Documentation)
 This package contains documentation for the at-spi2 interface.

Package: libatk-adaptor
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: at-spi
Replaces: at-spi
Provides: at-spi
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libatk-bridge2.0-0 (= ${binary:Version})
Description: AT-SPI 2 toolkit bridge
 This package includes a gtk-module that bridges ATK to the new
 D-Bus based AT-SPI.

Package: libatk-adaptor-udeb
Architecture: any
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}
Package-Type: udeb
Description: AT-SPI 2 toolkit bridge - module for d-i
 This package includes the gtk-module for the Debian installer.

Package: libatk-bridge2.0-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
 libatspi2.0-0 (= ${binary:Version}),
 libatk1.0-0 (= ${binary:Version}),
Description: AT-SPI 2 toolkit bridge - shared library
 This package contains the ATK bridge shared library.

Package: libatk-bridge-2.0-0-udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Package-Type: udeb
Description: AT-SPI 2 toolkit bridge - shared library for d-i
 This package contains the ATK bridge shared library, for the Debian installer.

Package: libatk-bridge2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libatk-bridge2.0-0 (= ${binary:Version}),
         libatk1.0-dev,
         libglib2.0-dev,
         libatspi2.0-dev (= ${binary:Version})
Description: Development files for the AT-SPI 2 toolkit bridge
 These are the development files for libatk-bridge2.0, needed for
 compilation of programs which use it.

Package: libatk1.0-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         at-spi2-common
Description: ATK accessibility toolkit
 ATK is a toolkit providing accessibility interfaces for applications or
 other toolkits. By implementing these interfaces, those other toolkits or
 applications can be used with tools such as screen readers, magnifiers, and
 other alternative input devices.
 .
 This is the runtime part of ATK, needed to run applications built with it.

Package: libatk1.0-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ATK accessibility toolkit
 This is a udeb, or a microdeb, for the Debian installer.
 .
 ATK is a toolkit providing accessibility interfaces for applications or
 other toolkits. By implementing these interfaces, those other toolkits or
 applications can be used with tools such as screen readers, magnifiers, and
 other alternative input devices.
 .
 This is a stripped down version of the runtime part of ATK.

Package: libatk1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         libatk1.0-0 (= ${binary:Version}),
         gir1.2-atk-1.0 (= ${binary:Version}),
         pkgconf,
         libglib2.0-dev,
Replaces: gir-repository-dev
Provides: ${gir:Provides}
Description: Development files for the ATK accessibility toolkit
 ATK is a toolkit providing accessibility interfaces for applications or
 other toolkits. By implementing these interfaces, those other toolkits or
 applications can be used with tools such as screen readers, magnifiers, and
 other alternative input devices.
 .
 These are the development files for ATK, needed for compilation of
 programs or toolkits which use it.

Package: libatk1.0-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libglib2.0-doc,
          libgtk-3-doc,
          devhelp
Description: Documentation files for the ATK toolkit
 ATK is a toolkit providing accessibility interfaces for applications or
 other toolkits. By implementing these interfaces, those other toolkits or
 applications can be used with tools such as screen readers, magnifiers, and
 other alternative input devices.
 .
 This contains the HTML documentation for the ATK library in
 /usr/share/doc/libatk1.0-doc/ .

Package: gir1.2-atk-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends},
         libatk1.0-0 (= ${binary:Version})
Description: ATK accessibility toolkit (GObject introspection)
 ATK is a toolkit providing accessibility interfaces for applications or
 other toolkits. By implementing these interfaces, those other toolkits or
 applications can be used with tools such as screen readers, magnifiers, and
 other alternative input devices.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings

## at-spi2-core 2.55.0.1

=== debian/changelog ===
at-spi2-core (2.55.0.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm.
    - Revert t64 change.
    - Revert libgirepository1.0-dev build-dep change.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Jan 2025 21:15:16 +0100

at-spi2-core (2.55.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1093025)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 14 Jan 2025 20:11:03 +0100

at-spi2-core (2.55.0-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release

  [ Helmut Grohne ]
  * Improve cross building: Skip documentation in arch-only build.
    (Closes: Bug#1087292)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Jan 2025 01:49:07 +0100

## at-spi2-core 2.55.2

=== debian/changelog ===
at-spi2-core (2.55.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm.
    - Revert t64 change.
    - Revert libgirepository1.0-dev build-dep change.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Feb 2025 22:38:35 +0100

at-spi2-core (2.55.2-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Feb 2025 02:33:11 +0100

## at-spi2-core 2.56.0

=== debian/changelog ===
at-spi2-core (2.56.0-3~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm.
    - Revert t64 change.
    - Revert libgirepository1.0-dev build-dep change.
  * patches/glib2.76: Add g_set_str, available only since glib 2.76.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Feb 2025 22:38:35 +0100

at-spi2-core (2.56.0-3) unstable; urgency=medium

  * No-change upload to build on buildd.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 20 Mar 2025 02:01:02 +0100

at-spi2-core (2.56.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 16 Mar 2025 00:07:54 +0100

at-spi2-core (2.56.0-1) experimental; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Mar 2025 23:41:20 +0100

at-spi2-core (2.55.90-1) experimental; urgency=medium

  * New upstream release
    - Support grabbing keyboard shortcuts through the new
    org.freedesktop.a11y.KeyboardMonitor interface. This allows key grabs to be
    supported under Wayland with the latest mutter.
  * libatk-bridge2.0-0t64.lintian-overrides: Drop duplicate bogus override.
  * libatk1.0-0t64.lintian-overrides: Drop duplicate bogus override.
  * libatspi2.0-0t64.lintian-overrides: Drop duplicate bogus override.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 28 Feb 2025 20:13:29 +0100

## at-spi2-core 2.56.1

=== ci/requirements.txt ===
docutils
gi-docgen
PyGObject
pytest
python-dbusmock
Sphinx
sphinx_rtd_theme

=== debian/changelog ===
at-spi2-core (2.56.1-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Mar 2025 17:34:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                dbus, libdbus-1-dev,
                dbus-broker [linux-any], libsystemd-dev [linux-any],
                libglib2.0-dev (>= 2.62),
@@ -11,15 +11,19 @@
                libx11-dev, libxtst-dev,
                meson (>= 0.63.0),
                pkgconf,
-               libgirepository1.0-dev,
-               gtk-doc-tools, gi-docgen, python3-sphinx,
+               gir1.2-dbus-1.0-dev,
+               gir1.2-glib-2.0-dev,
+               gir1.2-gobject-2.0-dev,
                gobject-introspection | dh-sequence-gir,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                at-spi2-core <!nocheck>,
 Build-Depends-Indep: docbook-xml <!nodoc>,
+                     gi-docgen,
+                     gtk-doc-tools,
                      libglib2.0-doc <!nodoc>,
-                     libglib2.0-dev-bin <!nodoc>
+                     libglib2.0-dev-bin <!nodoc>,
+                     python3-sphinx,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/a11y-team/at-spi2-core
@@ -30,7 +34,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}, at-spi2-common, gsettings-desktop-schemas,
- libatspi2.0-0 (= ${binary:Version})
+ libatspi2.0-0t64 (= ${binary:Version})
 Description: Assistive Technology Service Provider Interface (D-Bus core)
  This package contains the core components of GNOME Accessibility.
 
@@ -52,7 +56,10 @@
  This package contains the core components of GNOME Accessibility for the Debian
  installer.
 
-Package: libatspi2.0-0
+Package: libatspi2.0-0t64
+Provides: ${t64:Provides}
+Replaces: libatspi2.0-0
+Breaks: libatspi2.0-0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -78,7 +85,7 @@
 Depends: ${gir:Depends},
          ${misc:Depends},
          gir1.2-atspi-2.0 (= ${binary:Version}),
-         libatspi2.0-0 (= ${binary:Version}),
+         libatspi2.0-0t64 (= ${binary:Version}),
          libglib2.0-dev,
          libdbus-1-dev,
          libxtst-dev,
@@ -95,7 +102,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends},
-         libatspi2.0-0 (= ${binary:Version})
+         libatspi2.0-0t64 (= ${binary:Version})
 Replaces: gir1.0-gtk-2.0 (<< 2.22),
           gobject-introspection-repository
 Description: Assistive Technology Service Provider (GObject introspection)
@@ -120,7 +127,7 @@
 Provides: at-spi
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libatk-bridge2.0-0 (= ${binary:Version})
+         libatk-bridge2.0-0t64 (= ${binary:Version})
 Description: AT-SPI 2 toolkit bridge
  This package includes a gtk-module that bridges ATK to the new
  D-Bus based AT-SPI.
@@ -133,14 +140,17 @@
 Description: AT-SPI 2 toolkit bridge - module for d-i
  This package includes the gtk-module for the Debian installer.
 
-Package: libatk-bridge2.0-0
+Package: libatk-bridge2.0-0t64
+Provides: ${t64:Provides}
+Replaces: libatk-bridge2.0-0
+Breaks: libatk-bridge2.0-0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libatspi2.0-0 (= ${binary:Version}),
- libatk1.0-0 (= ${binary:Version}),
+ libatspi2.0-0t64 (= ${binary:Version}),
+ libatk1.0-0t64 (= ${binary:Version}),
 Description: AT-SPI 2 toolkit bridge - shared library
  This package contains the ATK bridge shared library.
 
@@ -157,7 +167,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libatk-bridge2.0-0 (= ${binary:Version}),
+         libatk-bridge2.0-0t64 (= ${binary:Version}),
          libatk1.0-dev,
          libglib2.0-dev,
          libatspi2.0-dev (= ${binary:Version})
@@ -165,7 +175,10 @@
  These are the development files for libatk-bridge2.0, needed for
  compilation of programs which use it.
 
-Package: libatk1.0-0
+Package: libatk1.0-0t64
+Provides: ${t64:Provides}
+Replaces: libatk1.0-0
+Breaks: libatk1.0-0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -202,7 +215,7 @@
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
-         libatk1.0-0 (= ${binary:Version}),
+         libatk1.0-0t64 (= ${binary:Version}),
          gir1.2-atk-1.0 (= ${binary:Version}),
          pkgconf,
          libglib2.0-dev,
@@ -242,7 +255,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends},
-         libatk1.0-0 (= ${binary:Version})
+         libatk1.0-0t64 (= ${binary:Version})
 Description: ATK accessibility toolkit (GObject introspection)
  ATK is a toolkit providing accessibility interfaces for applications or
  other toolkits. By implementing these interfaces, those other toolkits or

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

configure_options :=

ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
configure_options += --native-file=$(CURDIR)/debian/meson/no-exe-wrapper.ini
endif

DO_PACKAGES := $(shell dh_listpackages)
configure_options += -Ddocs=$(if $(filter at-spi2-doc libatk1.0-doc,$(DO_PACKAGES)),true,false)

%:
	dh $@

override_dh_auto_configure:
	ac_cv_lib_ICE_IceConnectionNumber=no \
	dh_auto_configure -- \
		-Dintrospection=enabled \
		$(configure_options) \
		-Ddefault_bus=dbus-broker

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	xvfb-run -s -noreset -a dbus-run-session -- dh_auto_test
endif

override_dh_makeshlibs:
	dh_makeshlibs -plibatspi2.0-0t64 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0t64 (>= 2.9.90)'
	dh_makeshlibs -plibatk-bridge2.0-0t64 --add-udeb=libatk-bridge-2.0-0-udeb -V -- -c4
	dh_makeshlibs -plibatk1.0-0t64 --add-udeb="libatk1.0-udeb" -V -- -c4
	dh_makeshlibs -a --remaining-packages
	dh_girepository -pgir1.2-atspi-2.0

## at-spi2-core 2.56.2

=== debian/changelog ===
at-spi2-core (2.56.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm.
    - Revert t64 change.
    - Revert libgirepository1.0-dev build-dep change.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 09 May 2025 18:01:20 +0200

at-spi2-core (2.56.2-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Apr 2025 19:43:47 +0200

at-spi2-core (2.56.1-2) unstable; urgency=medium

  * Rebuild on buildds.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Mar 2025 04:03:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dbus, libdbus-1-dev,
                dbus-broker [linux-any], libsystemd-dev [linux-any],
                libglib2.0-dev (>= 2.62),
@@ -11,9 +11,7 @@
                libx11-dev, libxtst-dev,
                meson (>= 0.63.0),
                pkgconf,
-               gir1.2-dbus-1.0-dev,
-               gir1.2-glib-2.0-dev,
-               gir1.2-gobject-2.0-dev,
+               libgirepository1.0-dev,
                gobject-introspection | dh-sequence-gir,
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -34,7 +32,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}, at-spi2-common, gsettings-desktop-schemas,
- libatspi2.0-0t64 (= ${binary:Version})
+ libatspi2.0-0 (= ${binary:Version})
 Description: Assistive Technology Service Provider Interface (D-Bus core)
  This package contains the core components of GNOME Accessibility.
 
@@ -56,10 +54,7 @@
  This package contains the core components of GNOME Accessibility for the Debian
  installer.
 
-Package: libatspi2.0-0t64
-Provides: ${t64:Provides}
-Replaces: libatspi2.0-0
-Breaks: libatspi2.0-0 (<< ${source:Version})
+Package: libatspi2.0-0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -85,7 +80,7 @@
 Depends: ${gir:Depends},
          ${misc:Depends},
          gir1.2-atspi-2.0 (= ${binary:Version}),
-         libatspi2.0-0t64 (= ${binary:Version}),
+         libatspi2.0-0 (= ${binary:Version}),
          libglib2.0-dev,
          libdbus-1-dev,
          libxtst-dev,
@@ -102,7 +97,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends},
-         libatspi2.0-0t64 (= ${binary:Version})
+         libatspi2.0-0 (= ${binary:Version})
 Replaces: gir1.0-gtk-2.0 (<< 2.22),
           gobject-introspection-repository
 Description: Assistive Technology Service Provider (GObject introspection)
@@ -127,7 +122,7 @@
 Provides: at-spi
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libatk-bridge2.0-0t64 (= ${binary:Version})
+         libatk-bridge2.0-0 (= ${binary:Version})
 Description: AT-SPI 2 toolkit bridge
  This package includes a gtk-module that bridges ATK to the new
  D-Bus based AT-SPI.
@@ -140,17 +135,14 @@
 Description: AT-SPI 2 toolkit bridge - module for d-i
  This package includes the gtk-module for the Debian installer.
 
-Package: libatk-bridge2.0-0t64
-Provides: ${t64:Provides}
-Replaces: libatk-bridge2.0-0
-Breaks: libatk-bridge2.0-0 (<< ${source:Version})
+Package: libatk-bridge2.0-0
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libatspi2.0-0t64 (= ${binary:Version}),
- libatk1.0-0t64 (= ${binary:Version}),
+ libatspi2.0-0 (= ${binary:Version}),
+ libatk1.0-0 (= ${binary:Version}),
 Description: AT-SPI 2 toolkit bridge - shared library
  This package contains the ATK bridge shared library.
 
@@ -167,7 +159,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libatk-bridge2.0-0t64 (= ${binary:Version}),
+         libatk-bridge2.0-0 (= ${binary:Version}),
          libatk1.0-dev,
          libglib2.0-dev,
          libatspi2.0-dev (= ${binary:Version})
@@ -175,10 +167,7 @@
  These are the development files for libatk-bridge2.0, needed for
  compilation of programs which use it.
 
-Package: libatk1.0-0t64
-Provides: ${t64:Provides}
-Replaces: libatk1.0-0
-Breaks: libatk1.0-0 (<< ${source:Version})
+Package: libatk1.0-0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -215,7 +204,7 @@
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
-         libatk1.0-0t64 (= ${binary:Version}),
+         libatk1.0-0 (= ${binary:Version}),
          gir1.2-atk-1.0 (= ${binary:Version}),
          pkgconf,
          libglib2.0-dev,
@@ -255,7 +244,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends},
-         libatk1.0-0t64 (= ${binary:Version})
+         libatk1.0-0 (= ${binary:Version})
 Description: ATK accessibility toolkit (GObject introspection)
  ATK is a toolkit providing accessibility interfaces for applications or
  other toolkits. By implementing these interfaces, those other toolkits or

=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,8 @@
 endif
 
 override_dh_makeshlibs:
-	dh_makeshlibs -plibatspi2.0-0t64 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0t64 (>= 2.9.90)'
-	dh_makeshlibs -plibatk-bridge2.0-0t64 --add-udeb=libatk-bridge-2.0-0-udeb -V -- -c4
-	dh_makeshlibs -plibatk1.0-0t64 --add-udeb="libatk1.0-udeb" -V -- -c4
+	dh_makeshlibs -plibatspi2.0-0 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0 (>= 2.9.90)'
+	dh_makeshlibs -plibatk-bridge2.0-0 --add-udeb=libatk-bridge-2.0-0-udeb -V -- -c4
+	dh_makeshlibs -plibatk1.0-0 --add-udeb="libatk1.0-udeb" -V -- -c4
 	dh_makeshlibs -a --remaining-packages
 	dh_girepository -pgir1.2-atspi-2.0

## at-spi2-core 2.57.1

=== debian/changelog ===
at-spi2-core (2.57.1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - control: Bump meson build-dep version accordingly.
    - control: Build-Depend on dh-sequence-python3.
    - gir1.2-atspi-2.0.install: Install Atspi gi overrides.
    - control: Make gir1.2-atspi-2.0 depend on ${python3:Depends}
    - libatk-bridge2.0-0t64.symbols: Drop droute_context_deregister symbol.
  * copyright: Update.

  [ Luca Boccassi ]
  * Drop build dependency on dbus-broker and dbus, swap with dbus-daemon with
    nocheck.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Aug 2025 09:51:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,22 @@
 Priority: optional
 Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dbus, libdbus-1-dev,
-               dbus-broker [linux-any], libsystemd-dev [linux-any],
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-sequence-python3,
+               libdbus-1-dev,
+               libsystemd-dev [linux-any],
                libglib2.0-dev (>= 2.62),
                libxml2-dev,
                libx11-dev, libxtst-dev,
-               meson (>= 0.63.0),
+               meson (>= 0.64.0),
                pkgconf,
-               libgirepository1.0-dev,
+               gir1.2-dbus-1.0-dev,
+               gir1.2-glib-2.0-dev,
+               gir1.2-gobject-2.0-dev,
                gobject-introspection | dh-sequence-gir,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                at-spi2-core <!nocheck>,
+               dbus-daemon <!nocheck>,
 Build-Depends-Indep: docbook-xml <!nodoc>,
                      gi-docgen,
                      gtk-doc-tools,
@@ -32,7 +35,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}, at-spi2-common, gsettings-desktop-schemas,
- libatspi2.0-0 (= ${binary:Version})
+ libatspi2.0-0t64 (= ${binary:Version})
 Description: Assistive Technology Service Provider Interface (D-Bus core)
  This package contains the core components of GNOME Accessibility.
 
@@ -54,7 +57,10 @@
  This package contains the core components of GNOME Accessibility for the Debian
  installer.
 
-Package: libatspi2.0-0
+Package: libatspi2.0-0t64
+Provides: ${t64:Provides}
+Replaces: libatspi2.0-0
+Breaks: libatspi2.0-0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -80,7 +86,7 @@
 Depends: ${gir:Depends},
          ${misc:Depends},
          gir1.2-atspi-2.0 (= ${binary:Version}),
-         libatspi2.0-0 (= ${binary:Version}),
+         libatspi2.0-0t64 (= ${binary:Version}),
          libglib2.0-dev,
          libdbus-1-dev,
          libxtst-dev,
@@ -97,7 +103,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends},
-         libatspi2.0-0 (= ${binary:Version})
+	 ${python3:Depends},
+         libatspi2.0-0t64 (= ${binary:Version})
 Replaces: gir1.0-gtk-2.0 (<< 2.22),
           gobject-introspection-repository
 Description: Assistive Technology Service Provider (GObject introspection)
@@ -122,7 +129,7 @@
 Provides: at-spi
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libatk-bridge2.0-0 (= ${binary:Version})
+         libatk-bridge2.0-0t64 (= ${binary:Version})
 Description: AT-SPI 2 toolkit bridge
  This package includes a gtk-module that bridges ATK to the new
  D-Bus based AT-SPI.
@@ -135,14 +142,17 @@
 Description: AT-SPI 2 toolkit bridge - module for d-i
  This package includes the gtk-module for the Debian installer.
 
-Package: libatk-bridge2.0-0
+Package: libatk-bridge2.0-0t64
+Provides: ${t64:Provides}
+Replaces: libatk-bridge2.0-0
+Breaks: libatk-bridge2.0-0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libatspi2.0-0 (= ${binary:Version}),
- libatk1.0-0 (= ${binary:Version}),
+ libatspi2.0-0t64 (= ${binary:Version}),
+ libatk1.0-0t64 (= ${binary:Version}),
 Description: AT-SPI 2 toolkit bridge - shared library
  This package contains the ATK bridge shared library.
 
@@ -159,7 +169,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libatk-bridge2.0-0 (= ${binary:Version}),
+         libatk-bridge2.0-0t64 (= ${binary:Version}),
          libatk1.0-dev,
          libglib2.0-dev,
          libatspi2.0-dev (= ${binary:Version})
@@ -167,7 +177,10 @@
  These are the development files for libatk-bridge2.0, needed for
  compilation of programs which use it.
 
-Package: libatk1.0-0
+Package: libatk1.0-0t64
+Provides: ${t64:Provides}
+Replaces: libatk1.0-0
+Breaks: libatk1.0-0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -204,7 +217,7 @@
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
-         libatk1.0-0 (= ${binary:Version}),
+         libatk1.0-0t64 (= ${binary:Version}),
          gir1.2-atk-1.0 (= ${binary:Version}),
          pkgconf,
          libglib2.0-dev,
@@ -244,7 +257,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends},
-         libatk1.0-0 (= ${binary:Version})
+         libatk1.0-0t64 (= ${binary:Version})
 Description: ATK accessibility toolkit (GObject introspection)
  ATK is a toolkit providing accessibility interfaces for applications or
  other toolkits. By implementing these interfaces, those other toolkits or

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,8 @@
 	dh_auto_configure -- \
 		-Dintrospection=enabled \
 		$(configure_options) \
+		-Ddbus_broker=/usr/bin/dbus-broker-launch \
+		-Ddbus_daemon=/usr/bin/dbus-daemon \
 		-Ddefault_bus=dbus-broker
 
 override_dh_auto_test:
@@ -28,8 +30,8 @@
 endif
 
 override_dh_makeshlibs:
-	dh_makeshlibs -plibatspi2.0-0 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0 (>= 2.9.90)'
-	dh_makeshlibs -plibatk-bridge2.0-0 --add-udeb=libatk-bridge-2.0-0-udeb -V -- -c4
-	dh_makeshlibs -plibatk1.0-0 --add-udeb="libatk1.0-udeb" -V -- -c4
+	dh_makeshlibs -plibatspi2.0-0t64 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0t64 (>= 2.9.90)'
+	dh_makeshlibs -plibatk-bridge2.0-0t64 --add-udeb=libatk-bridge-2.0-0-udeb -V -- -c4
+	dh_makeshlibs -plibatk1.0-0t64 --add-udeb="libatk1.0-udeb" -V -- -c4
 	dh_makeshlibs -a --remaining-packages
 	dh_girepository -pgir1.2-atspi-2.0

## at-spi2-core 2.57.2

=== debian/changelog ===
at-spi2-core (2.57.2-1~bpo13+1) trixie-backports; urgency=medium

  * Backport to trixie.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Sep 2025 02:06:21 +0200

at-spi2-core (2.57.2-1) unstable; urgency=medium

  * New upstream release.
  * rules: Only make dbus-broker the default bus on Linux.
  * control: Explicit that pyatspi needs to be upgraded to a version that is
    fine with no Atspi.Accessible.children
  * copyright: Update.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 11 Aug 2025 10:45:04 +0200

## at-spi2-core 2.58.0

=== debian/changelog ===
at-spi2-core (2.58.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1111485)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 14 Sep 2025 19:40:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,10 @@
 
 ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 configure_options += --native-file=$(CURDIR)/debian/meson/no-exe-wrapper.ini
+endif
+
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+configure_options += -Ddefault_bus=dbus-broker
 endif
 
 DO_PACKAGES := $(shell dh_listpackages)
@@ -21,8 +25,7 @@
 		-Dintrospection=enabled \
 		$(configure_options) \
 		-Ddbus_broker=/usr/bin/dbus-broker-launch \
-		-Ddbus_daemon=/usr/bin/dbus-daemon \
-		-Ddefault_bus=dbus-broker
+		-Ddbus_daemon=/usr/bin/dbus-daemon
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)

## at-spi2-core 2.58.1

=== debian/changelog ===
at-spi2-core (2.58.1-1) unstable; urgency=medium

  * New upstream release.
  * rules: Only set dbus_broker on Linux.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Oct 2025 21:36:42 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-configure_options += -Ddefault_bus=dbus-broker
+configure_options += -Ddefault_bus=dbus-broker \
+		     -Ddbus_broker=/usr/bin/dbus-broker-launch
 endif
 
 DO_PACKAGES := $(shell dh_listpackages)
@@ -24,7 +25,6 @@
 	dh_auto_configure -- \
 		-Dintrospection=enabled \
 		$(configure_options) \
-		-Ddbus_broker=/usr/bin/dbus-broker-launch \
 		-Ddbus_daemon=/usr/bin/dbus-daemon
 
 override_dh_auto_test:

=== debian/tests/control ===
Tests: memory dbind
Depends: libatspi2.0-dev, build-essential, xauth, xvfb, dbus-daemon, at-spi2-core

Tests: tests
Depends: build-essential,
         @builddeps@,
         libatk-bridge2.0-dev,
         xauth, xvfb, dbus, at-spi2-core (>= 2.33.92)

Tests: build atk-tests
Depends: libatk1.0-dev, build-essential

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/([\d\.]+[0-9])/ \
	@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## at-spi2-core 2.58.2

=== debian/changelog ===
at-spi2-core (2.58.2-2) unstable; urgency=medium

  * Team upload
  * Skip build tests on loong64 for bootstrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 28 Dec 2025 08:53:15 -0500

at-spi2-core (2.58.2-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 Nov 2025 21:40:47 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                gobject-introspection | dh-sequence-gir,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-               at-spi2-core <!nocheck>,
+               at-spi2-core [!loong64] <!nocheck>,
                dbus-daemon <!nocheck>,
 Build-Depends-Indep: docbook-xml <!nodoc>,
                      gi-docgen,
@@ -103,10 +103,11 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends},
-	 ${python3:Depends},
+         ${python3:Depends},
          libatspi2.0-0t64 (= ${binary:Version})
 Replaces: gir1.0-gtk-2.0 (<< 2.22),
           gobject-introspection-repository
+Breaks: python3-pyatspi (<< 2.57.0-1)
 Description: Assistive Technology Service Provider (GObject introspection)
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 		-Ddbus_daemon=/usr/bin/dbus-daemon
 
 override_dh_auto_test:
-ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+ifeq (,$(filter loong64,$(DEB_HOST_ARCH)))
 	xvfb-run -s -noreset -a dbus-run-session -- dh_auto_test
 endif

## at-spi2-core 2.59.0

=== meson_options.txt ===
option('dbus_services_dir',
       description: 'Location of the DBus services',
       type: 'string',
       value: 'default')
option('dbus_daemon',
       description: 'The path of the DBus daemon',
       type: 'string',
       value: 'default')
option('dbus_broker',
       description: 'The path of the DBus broker',
       type: 'string',
       value: 'default')
option('default_bus',
       description: 'The default DBus implementation to use',
       type: 'combo',
       choices: ['dbus-daemon', 'dbus-broker'],
       value: 'dbus-broker')
option('use_systemd',
       description: 'Use systemd if available (needed for dbus-broker)',
       type: 'boolean',
       value: true)
option('gtk2_atk_adaptor',
       description: 'Build the runtime module loaded by GTK2',
       type: 'boolean',
       value: true)
option('systemd_user_dir',
       description: 'Location of the systemd user services',
       type: 'string',
       value: 'default')
option('docs',
       description: 'Generate API reference for atspi (requires GTK-Doc)',
       type: 'boolean',
       value: false)
option('introspection',
       description: 'Enable GObject Introspection (depends on GObject)',
       type: 'feature',
       value: 'auto',
       yield: true)
option('x11',
       description: 'Enable X11 support',
       type: 'feature',
       value: 'auto')
option('atk_only',
       description: 'Build only the ATK stub library without atspi or at-spi2-atk (UNSUPPORTED)',
       type: 'boolean',
       value: false)
option('python', type : 'string', value : 'python3')

=== debian/changelog ===
at-spi2-core (2.59.0-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind

 -- anticapitalista <antix@operamail.com>  Sun, 04 Jan 2026 14:14:55 +0200

at-spi2-core (2.59.0-1) unstable; urgency=medium

  * New upstream release.
    - rules: Fix default bus on non-linux
    - libatk-bridge2.0-0t64.symbols: Update.
  * Restore tests on loong64.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 03 Jan 2026 15:20:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,6 @@
 
 ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 configure_options += --native-file=$(CURDIR)/debian/meson/no-exe-wrapper.ini
-endif
-
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-configure_options += -Ddefault_bus=dbus-broker \
-		     -Ddbus_broker=/usr/bin/dbus-broker-launch
 endif
 
 DO_PACKAGES := $(shell dh_listpackages)
@@ -24,13 +19,15 @@
 	ac_cv_lib_ICE_IceConnectionNumber=no \
 	dh_auto_configure -- \
 		-Dintrospection=enabled \
-		$(configure_options) \
-		-Ddbus_daemon=/usr/bin/dbus-daemon
+		$(configure_options)
 
 override_dh_auto_test:
-ifeq (,$(filter loong64,$(DEB_HOST_ARCH)))
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	xvfb-run -s -noreset -a dbus-run-session -- dh_auto_test
 endif
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibatspi2.0-0t64 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0t64 (>= 2.9.90)'

## at-spi2-core 2.59.1

=== meson_options.txt ===
--- 
+++ 
@@ -45,3 +45,7 @@
        type: 'boolean',
        value: false)
 option('python', type : 'string', value : 'python3')
+option('dbus_glib',
+       description: 'Use dbus-glib for main loop integration',
+       type: 'feature',
+       value: 'disabled')

=== debian/changelog ===
at-spi2-core (2.59.1-2) unstable; urgency=medium

  * rules: Fix finding dbus-broker-launch.
  * patches/atspi-misc: Fix standalone compilation of atspi-misc.h.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Feb 2026 19:42:08 +0100

at-spi2-core (2.59.1-1) unstable; urgency=medium

  * New upstream release.
  * libatk-adaptor.lintian-overrides: Comment override for now.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Feb 2026 13:31:28 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,13 @@
 
 ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 configure_options += --native-file=$(CURDIR)/debian/meson/no-exe-wrapper.ini
+endif
+
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+configure_options += -Ddbus_broker=/usr/bin/dbus-broker-launch
+else
+configure_options += -Ddefault_bus=dbus-daemon \
+		     -Ddbus_daemon=/usr/bin/dbus-daemon
 endif
 
 DO_PACKAGES := $(shell dh_listpackages)
@@ -26,9 +33,6 @@
 	xvfb-run -s -noreset -a dbus-run-session -- dh_auto_test
 endif
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_makeshlibs:
 	dh_makeshlibs -plibatspi2.0-0t64 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0t64 (>= 2.9.90)'
 	dh_makeshlibs -plibatk-bridge2.0-0t64 --add-udeb=libatk-bridge-2.0-0-udeb -V -- -c4
